> For the complete documentation index, see [llms.txt](https://docs.nuvolos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nuvolos.com/reference/file-system-and-storage/access-files-on-sharepoint-online.md).

# Access files on SharePoint Online

You can access files from your SharePoint Online sites in Nuvolos Applications. This is currently a preview feature; contact Nuvolos support to enable SharePoint data mounting for your Application.

### Authenticate with Microsoft 365

You must authenticate with Microsoft 365 in a web browser so that programmatic access to your data on SharePoint Online or OneDrive Business is authorised for Nuvolos Applications. The recommended approach is to authenticate using RClone on your own computer:

1. Install the RClone cloud storage manager utility on the computer you use to access Nuvolos.
2. Run rclone config and follow the prompts.
3. Select the **onedrive** cloud storage provider.
4. Select the appropriate Microsoft Cloud region (Global or Germany).
5. Choose the **auto-config** option. A browser tab opens for Microsoft 365 login.
6. After successful login, return to RClone in the command line and select **OneDrive Personal or Business** or **SharePoint site name or URL**.
7. For SharePoint, specify the URL of your site and select the folder containing the data you want to use.
8. When configuration is complete, RClone displays the **token** and **drive\_id**.

### Save credentials as Nuvolos secrets

Save the values displayed by RClone as Nuvolos account secrets:

* `SHAREPOINT_ACCESS_TOKEN` - the token value displayed by RClone.
* `SHAREPOINT_DRIVE_ID` - the drive\_id value displayed by RClone.

See [Reference › Configuration › Secrets](/reference/configuration/environment-variables-and-secrets.md) for full instructions on adding Nuvolos secrets.

### Enable the SharePoint add-on

SharePoint mounting is currently a preview feature. Contact Nuvolos support to enable it for your Application. Once enabled, files are accessible under `/sharepoint`. Contact support if you need a different path..


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nuvolos.com/reference/file-system-and-storage/access-files-on-sharepoint-online.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
